Skip to main content
GET
/
medias
/
files
Get List of Files/ Folders
curl --request GET \
  --url https://services.leadconnectorhq.com/medias/files \
  --header 'Authorization: Bearer <token>'
{
  "files": {
    "altId": "locationId",
    "altType": "location",
    "name": "file name",
    "parentId": "parent folder id",
    "url": "file url",
    "path": "file path"
  }
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account

Headers

Authorization
string
required

Access Token

Example:

"Bearer 9c48df2694a849b6089f9d0d3513efe"

Query Parameters

offset
string

Number of files to skip in listing

limit
string

Number of files to show in the listing

sortBy
string
required

Field to sorting the file listing by

sortOrder
string
required

Direction in which file needs to be sorted

type
string

Type

query
string

Query text

altType
string
required

AltType

altId
string
required
fetchAll
string

Fetch all files or folders

Response

200 - application/json

Successful response

files
string[]
required

Array of File Objects

Example:
{
"altId": "locationId",
"altType": "location",
"name": "file name",
"parentId": "parent folder id",
"url": "file url",
"path": "file path"
}
Last modified on March 4, 2026